CVE-2018-5764

CVE: CVE-2018-5764
Published: 2018-01-17T22:29Z
Vendor: samba
Products: rsync
Versions: 3.0.8, 3.0.9, 3.1.0, 3.1.1,
Description Language: en
Description: The parse_arguments function in options.c in rsyncd in rsync before 3.1.3 does not prevent multiple –protect-args uses, which allows remote attackers to bypass an argument-sanitization protection mechanism.
References:
http://www.securityfocus.com/bid/102803
http://www.securitytracker.com/id/1040276
https://download.samba.org/pub/rsync/src-previews/rsync-3.1.3pre1-NEWS
https://git.samba.org/rsync.git/?p=rsync.git;a=commit;h=7706303828fcde524222babb2833864a4bd09e07
https://lists.debian.org/debian-lts-announce/2018/01/msg00021.html